﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities
{
    internal class ContentLessonEntity
    {
        [Key, Column(Order = 0)]
        [ForeignKey(nameof(Lesson))]
        public int LessonId { get; set; }
        public LessonEntity Lesson { get; set; }

        [Key, Column(Order = 1)]
        [ForeignKey(nameof(Paragraph))]
        public int LessonPartId { get; set; }
        public ParagraphEntity Paragraph { get; set; }
    }
}
